## itsalltext 1.4.1

=== Makefile ===
#
#
#  It's All Text - Easy external editing of web forms.
#  Copyright (C) 2006-2007 Christian Höltje
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

## Options
# If you don't have jslint or jsmin, you can replace these with cat...
# but I strongly suggest you get jslint and jsmin working.
JSLINT     := jslint
YC         := yuicompressor
YC_JSFLAGS := --type js --charset UTF-8
ZIP        := zip
PROJNICK   := itsalltext
PROJNAME   := "It's All Text!"
ICONFILE   := src/chrome/content/icon.png
VERSION    := 1.4.1


# NOTE: do not create files or directories in here that have
#       spaces or other special characters in their names!
SOURCES_CHROME:=$(shell find src/chrome -type f\
	   -not -regex '^\(\|.*/\)\(build\|lint\|tmpdir\|.svn\|CVS\|.DS_Store\).*\(\|/.*\)$$' \
       -not -regex '.*\.(xpi|orig|lint|log|xcf)' \
       -not -name '.*' \
       -not -name '*~' \
       -not -name '\#*' \
	   -print)
SOURCES_NONCHROME:=src/chrome.manifest src/gpl.txt src/install.rdf src/defaults/preferences/itsalltext.js
SOURCES:=$(SOURCES_CHROME) $(SOURCES_NONCHROME)
SOURCES_JS:=$(shell echo "$(SOURCES)" | xargs -n 1 echo | grep -E '\.js$$')
SOURCES_JS_LINT:=$(patsubst %.js, lint/%.js.lint, $(SOURCES_JS))
SOURCES_JS_WARN:=$(patsubst %.js, lint/%.js.warn, $(SOURCES_JS))
SOURCES_JS_LINT_PRE:=$(patsubst %.lint, %.lint-pre, $(filter %.lint,$(SOURCES_JS_LINT)))
JARS:=chrome/content.jar $(patsubst src/chrome/locale/%, chrome/%.jar, $(wildcard src/chrome/locale/*-*))

STAGE1_OUT:=$(patsubst src/%, stage1/%, $(SOURCES))
FINAL_OUT:=$(patsubst src/%, final/%, $(SOURCES_NONCHROME)) \
	       $(patsubst %, final/%, $(JARS))

XPI_FILE:=$(PROJNICK)-$(VERSION).xpi

ifeq ($(VERBOSE),1)
	Q :=
	QMAKE = $(MAKE)
else
	Q := @
	QMAKE = $(MAKE) -s
	ZIP := $(ZIP) -q
endif

.PHONY: default
default: lintcheck narf final

.PHONY: all
all: lintcheck narf docs final

## Release a new xpi
.PHONY: release
release: version_check $(XPI_FILE)
	$(Q)echo "Don't forget to bump the version number if $(VERSION) isn't right!"
	$(Q)echo "git tag release-$(VERSION) ; git push --tags"

## Show the version
.PHONY: version_check
version_check:
	$(Q)echo "Version is $(VERSION)"

## build an xpi
%.xpi: build
	$(Q)echo Creating $@ ...
	$(Q)(cd final && find -type f | $(ZIP) ../$@ -@)


#############
## Stage 1 ##
#############
.PHONY: stage1
stage1: .stage1-stamp

.stage1-stamp: Makefile $(STAGE1_OUT)
	$(Q)touch $@

stage1/%: src/%
	$(Q)mkdir -p $(dir $@)
	$(Q)cat $< | sed 's/999.@@VERSION@@/$(VERSION)/g' > $@

stage1/%.js: src/%.js
	$(Q)mkdir -p $(dir $@)
	$(Q)$(YC) $(YC_JSFLAGS) -o $@ $<


#################
## Final Stage ##
#################
.PHONY: final
final: .final-stamp

.final-stamp: Makefile $(FINAL_OUT)
	$(Q)touch $@

final/%: stage1/%
	$(Q)mkdir -p $(dir $@)
	$(Q)cp $< $@

final/chrome.manifest: stage1/chrome.manifest Makefile
	$(Q)mkdir -p $(dir $@)
	$(Q)perl -p -e 's!^(\s*content\s+itsalltext\s+)(chrome/)(\S+\s*.*)$$!$$1jar:$$2content.jar\!/$$3!;'  \
	-e 's!^(\s*locale\s+itsalltext\s+)(\S+)(\s+)(chrome/)locale/(\S+\s*)$$!$$1$$2$$3jar:$$4$$2.jar\!/$$5!;' $< \
	> $@

final/chrome/content.jar: stage1 Makefile
	$(Q)mkdir -p $(dir $@)
	$(Q)cd stage1/chrome && $(ZIP) -r ../../$@ content

final/chrome/%.jar: stage1 Makefile
	$(Q)mkdir -p $(dir $@)
	$(Q)cd stage1/chrome/locale && $(ZIP) -r ../../../$@ $(patsubst final/chrome/%.jar, %, $@)

.PHONY: build
build: final

##
## Lint checks for possible problems.
.PHONY: lint
lint: $(SOURCES_JS_LINT) $(SOURCES_JS_WARN)

.INTERMEDIATE: $(SOURCES_JS_LINT_PRE)

$(SOURCES_JS_LINT_PRE): lint/%.js.lint-pre: %.js
	$(Q)mkdir -p $(dir $@)
	$(Q)perl -p -e 's!^(\s*)(const)(\s+)!$$1var$$3!' $< > $@

$(SOURCES_JS_LINT): %.js.lint: %.js.lint-pre
	$(info linting $(patsubst %.lint-pre,%,$(notdir $<)) ...)
	$(Q)rm -f $@
	$(Q)$(JSLINT) -p $< |\
		perl -p -e 's!^(jslint: linting )lint/(.*)\.lint-pre!********* $$1$$2!' >> $@
$(SOURCES_JS_WARN): lint/%.js.warn: %.js
	$(info warning $(patsubst %.lint-pre,%,$(notdir $<)) ...)
	$(Q)echo '********* checking $< *********' > $@
	$(Q)$(YC) $(YC_JSFLAGS) --verbose -o /dev/null $< 2>&1 |\
		grep -vE '^\[INFO\] It is recommended to use Sun' >> $@

.PHONY: lintcheck
lintcheck: $(SOURCES_JS_LINT) $(SOURCES_JS_WARN)
	$(Q)egrep -q '^lint at '    $(SOURCES_JS_LINT) ; test $$? != 0
	$(Q)egrep -q '^\[WARNING\]' $(SOURCES_JS_WARN) ; test $$? != 0

.PHONY: showlint
showlint: lint
	$(Q)find ./lint -type f \( -name '*.lint' -o -name '*.warn' \) -print0 | xargs -0 cat

##
## Narf is a magick keyword that should stop builds from working
## Useful as a todo marker.
.PHONY: narf
narf: .narf-stamp

.narf-stamp:
	$(Q)grep -nri 'narf' [a-z0-9]* ; test $$? = 1 || :
	$(Q)touch $@

##
## Documentation
.PHONY: docs
docs: docs/.stamp

docs/.stamp: $(SOURCES_JS)
	$(Q)echo Creating docs ...
	$(Q)jsdoc --directory docs \
	--project-name "$(subst ", ', PROJNAME) - A Firefox Extension" \
	--logo $(ICONFILE) \
	--package-naming \
	--private \
	$^
	$(Q)touch "$@"

.PHONY: todo
todo: .todo
	$(Q)cat $<
.todo: $(SOURCES) Makefile notes.txt
	$(Q)grep -hE '[@]todo' $^ | perl -p -e 's!^.*[@]todo\s*!!' | sort -n > "$@"


##
## Cleanup methods
.PHONY: clean
clean:
	$(Q)rm -rf build .todo stage1 final .*-stamp
	$(Q)find -name '*.orig' -print0 | xargs -0 -r rm

.PHONY: realclean
realclean: clean
	$(Q)rm -rf $(XPI_FILE) docs lint

## @todo [5] [make] Do a proper build in another directory.
## @todo [5] [make] Minimize JavaScript.
## @todo [5] [make] Put contents into a .jar.
## @todo [7] Allow a web page to add an It's All Text! button.
## @todo [9] Thunderbird support.
## @todo [8] Seamonkey support. GUID: {92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}
## @todo [9] Option to disable yellow fade.
## @todo [9] Prevent double yellow fades.
## @todo [9] Option to choose yellow fade color.
## @todo [9] Option to turn off button fade.

=== debian/changelog ===
itsalltext (1.4.1-1) unstable; urgency=low

  * New upstream release.
    + Take source from git://gerf.org/itsalltext.git (Closes: #559971)
    + Works with iceweasel 3.5.5 (Closes: #557246)
  * Bump debhelper version to 7.
  * Adjust debian/rules to build package from source.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Fix debian/watch to detect all versions.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 13 Feb 2010 21:14:38 +0100

itsalltext (1.3.1-2) unstable; urgency=low

  * Use mozilla-devscripts 0.16 and cdbs.
  * Add myself to uploaders.
  * Correct Vcs-Browser address.
  * Bump Standards-Version to 3.8.4.
  * Update debian/watch file.
  * Rename binary package from iceweasel-itsalltext to xul-ext-itsalltext
    according to new policy.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 28 Jan 2010 11:17:20 +0100

itsalltext (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Move to pkg-mozext
  * Update watch file

 -- Jan Lübbe <jluebbe@debian.org>  Tue, 19 May 2009 12:09:26 +0200

itsalltext (1.3-1) unstable; urgency=low

  * New upstream release
  * Localization for zh-CN is now available (closes: #496492)

 -- Jan Lübbe <jluebbe@debian.org>  Wed, 18 Feb 2009 13:00:03 +0100

itsalltext (1.1-1) unstable; urgency=low

  * New upstream release (closes: #505412)
  * Update to current policy (3.8.0, no changes)

 -- Jan Lübbe <jluebbe@debian.org>  Tue, 09 Dec 2008 15:29:26 +0100

itsalltext (0.8.5-1) unstable; urgency=low

  * New upstream release (closes: #482923)
  * Add watch file

 -- Jan Lübbe <jluebbe@debian.org>  Mon, 26 May 2008 14:41:38 +0200

itsalltext (0.8.2-1) unstable; urgency=low

  * Initial release (closes: #456183)

 -- Jan Luebbe <jluebbe@debian.org>  Sun, 23 Dec 2007 22:11:35 +0100

=== debian/control ===
Source: itsalltext
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Jan Lübbe <jluebbe@debian.org>,
           Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 7), mozilla-devscripts (>= 0.16~)
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://addons.mozilla.org/firefox/4125
Vcs-Browser: http://git.debian.org/?p=pkg-mozext/itsalltext.git;a=summary
Vcs-Git: git://git.debian.org/pkg-mozext/itsalltext.git

Package: xul-ext-itsalltext
Architecture: all
Depends: ${misc:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Replaces: iceweasel-itsalltext (<< 1.3.1-2)
Description: Iceweasel/Firefox extension to edit textareas using an external editor
 It's All Text! is a Firefox/Iceweasel extension which allows you to
 edit textareas using an external editor.
 .
 At the bottom right corner of any edit box, a little edit button will
 appear. Clicking this button will open an external editor with the
 content of the edit box, which will be updated every time you save.

Package: iceweasel-itsalltext
Architecture: all
Depends: xul-ext-itsalltext, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package to ease the migration
 from the iceweasel-itsalltext to the new xul-ext-itsalltext package.
 You can remove it safely.

=== debian/rules ===
#!/usr/bin/make -f

MOZ_XPI_BUILD_COMMAND := $(MAKE) release

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/mozilla-devscripts/xpi.mk

clean::
	$(MAKE) clean

=== debian/watch ===
version=3
http://ftp.mozilla.org/pub/mozilla.org/addons/4125/it[_]*s_all_text!-([\d\.]*)-[a-z+]+\.xpi

## itsalltext 1.6.3

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 PROJNICK   := itsalltext
 PROJNAME   := "It's All Text!"
 ICONFILE   := src/chrome/content/icon.png
-VERSION    := 1.4.1
+VERSION    := 1.6.3
 
 
 # NOTE: do not create files or directories in here that have
@@ -155,8 +155,8 @@
 
 .PHONY: lintcheck
 lintcheck: $(SOURCES_JS_LINT) $(SOURCES_JS_WARN)
-	$(Q)egrep -q '^lint at '    $(SOURCES_JS_LINT) ; test $$? != 0
-	$(Q)egrep -q '^\[WARNING\]' $(SOURCES_JS_WARN) ; test $$? != 0
+	$(Q)egrep -q '^lint at '    $(SOURCES_JS_LINT)
+	$(Q)egrep -q '^\[WARNING\]' $(SOURCES_JS_WARN)
 
 .PHONY: showlint
 showlint: lint

=== debian/changelog ===
itsalltext (1.6.3-1) unstable; urgency=low

  [ Fabrizio Regalli ]
  * Added myself to Uploaders
  * Removed cbds from Depends
  * Switch to mozilla-devscripts (>= 0.22)
  * Switch to standard d/rules
  * Update d/compat to 8
  * Removed transitional dummy package iceweasel-itsalltext
  * Imported Upstream version 1.6.3 (Closes: #640257)
  * Convert to dh 8 without buildsystem
  * Added get-orig-source rule
  * Added README.source file

  [ Michael Schutte ]
  * Update debian/copyright and convert it to DEP-5.

 -- Fabrizio Regalli <fabreg@fabreg.it>  Fri, 07 Oct 2011 09:24:08 +0200

itsalltext (1.5.2-1) unstable; urgency=low

  * New upstream release.
    - Supports Iceweasel up to version 6, closes: #631934.
  * Drop patch update-max-version.
  * Breaks: instead of Conflicts: for iceweasel-itsalltext << 1.3.1-2 as
    per Policy 7.4.
  * Update debian/watch to find the current incarnation of the .xpi
    filename, closes: #631937.  Thanks to Sven Joachim <svenjoac@gmx.de>
    for the patch.
  * Add myself to Uploaders.

 -- Michael Schutte <michi@debian.org>  Wed, 27 Jul 2011 20:51:53 +0200

itsalltext (1.5-1) unstable; urgency=low

  * New upstream release
    + Works with iceweasel 4.0 (closes: #591685)
  * Add ${xpi:Depends} to Depends
  * Add a patch to update compatibility information
  * Declare Conflicts agains old iceweasel-itsalltext to avoid having two
    different versions unpacked at the same time.
  * Update Standards-Version to 3.9.2

 -- Jan Lübbe <jluebbe@debian.org>  Fri, 15 Apr 2011 11:21:55 +0200

=== debian/control ===
Source: itsalltext
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Jan Lübbe <jluebbe@debian.org>, Michael Schutte <michi@debian.org>, Fabrizio Regalli <fabreg@fabreg.it>
Build-Depends: debhelper (>= 8), mozilla-devscripts (>= 0.22~)
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Homepage: http://addons.mozilla.org/firefox/4125
Vcs-Browser: http://git.debian.org/?p=pkg-mozext/itsalltext.git
Vcs-Git: git://git.debian.org/pkg-mozext/itsalltext.git

Package: xul-ext-itsalltext
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: Iceweasel/Firefox extension to edit textareas using an external editor
 It's All Text! is a Firefox/Iceweasel extension which allows you to
 edit textareas using an external editor.
 .
 At the bottom right corner of any edit box, a little edit button will
 appear. Clicking this button will open an external editor with the
 content of the edit box, which will be updated every time you save.

## itsalltext 1.6.4

=== Makefile ===
--- 
+++ 
@@ -18,14 +18,13 @@
 ## Options
 # If you don't have jslint or jsmin, you can replace these with cat...
 # but I strongly suggest you get jslint and jsmin working.
-JSLINT     := jslint
 YC         := yuicompressor
 YC_JSFLAGS := --type js --charset UTF-8
 ZIP        := zip
 PROJNICK   := itsalltext
 PROJNAME   := "It's All Text!"
 ICONFILE   := src/chrome/content/icon.png
-VERSION    := 1.6.3
+VERSION    := 1.6.4
 
 
 # NOTE: do not create files or directories in here that have
@@ -40,9 +39,6 @@
 SOURCES_NONCHROME:=src/chrome.manifest src/gpl.txt src/install.rdf src/defaults/preferences/itsalltext.js
 SOURCES:=$(SOURCES_CHROME) $(SOURCES_NONCHROME)
 SOURCES_JS:=$(shell echo "$(SOURCES)" | xargs -n 1 echo | grep -E '\.js$$')
-SOURCES_JS_LINT:=$(patsubst %.js, lint/%.js.lint, $(SOURCES_JS))
-SOURCES_JS_WARN:=$(patsubst %.js, lint/%.js.warn, $(SOURCES_JS))
-SOURCES_JS_LINT_PRE:=$(patsubst %.lint, %.lint-pre, $(filter %.lint,$(SOURCES_JS_LINT)))
 JARS:=chrome/content.jar $(patsubst src/chrome/locale/%, chrome/%.jar, $(wildcard src/chrome/locale/*-*))
 
 STAGE1_OUT:=$(patsubst src/%, stage1/%, $(SOURCES))
@@ -61,10 +57,10 @@
 endif
 
 .PHONY: default
-default: lintcheck narf final
+default: narf final
 
 .PHONY: all
-all: lintcheck narf docs final
+all: narf docs final
 
 ## Release a new xpi
 .PHONY: release
@@ -132,37 +128,6 @@
 build: final
 
 ##
-## Lint checks for possible problems.
-.PHONY: lint
-lint: $(SOURCES_JS_LINT) $(SOURCES_JS_WARN)
-
-.INTERMEDIATE: $(SOURCES_JS_LINT_PRE)
-
-$(SOURCES_JS_LINT_PRE): lint/%.js.lint-pre: %.js
-	$(Q)mkdir -p $(dir $@)
-	$(Q)perl -p -e 's!^(\s*)(const)(\s+)!$$1var$$3!' $< > $@
-
-$(SOURCES_JS_LINT): %.js.lint: %.js.lint-pre
-	$(info linting $(patsubst %.lint-pre,%,$(notdir $<)) ...)
-	$(Q)rm -f $@
-	$(Q)$(JSLINT) -p $< |\
-		perl -p -e 's!^(jslint: linting )lint/(.*)\.lint-pre!********* $$1$$2!' >> $@
-$(SOURCES_JS_WARN): lint/%.js.warn: %.js
-	$(info warning $(patsubst %.lint-pre,%,$(notdir $<)) ...)
-	$(Q)echo '********* checking $< *********' > $@
-	$(Q)$(YC) $(YC_JSFLAGS) --verbose -o /dev/null $< 2>&1 |\
-		grep -vE '^\[INFO\] It is recommended to use Sun' >> $@
-
-.PHONY: lintcheck
-lintcheck: $(SOURCES_JS_LINT) $(SOURCES_JS_WARN)
-	$(Q)egrep -q '^lint at '    $(SOURCES_JS_LINT)
-	$(Q)egrep -q '^\[WARNING\]' $(SOURCES_JS_WARN)
-
-.PHONY: showlint
-showlint: lint
-	$(Q)find ./lint -type f \( -name '*.lint' -o -name '*.warn' \) -print0 | xargs -0 cat
-
-##
 ## Narf is a magick keyword that should stop builds from working
 ## Useful as a todo marker.
 .PHONY: narf

=== debian/changelog ===
itsalltext (1.6.4-1) unstable; urgency=low

  * Imported Upstream version 1.6.4
  * Bump Standards-Version to 3.9.3
  * Update d/copyright as in Debian policy 3.9.3
  * Add 2012 year for debian/* copyright files
  * Remove no more needed 01-bump-maxversion.diff patch: Iceweasel
    does not check anymore max/min version

 -- Fabrizio Regalli <fabreg@fabreg.it>  Wed, 23 May 2012 17:55:52 +0200

itsalltext (1.6.3-2) unstable; urgency=low

  * Added 01-bump-maxversion.diff patch for working
    with all version of Iceweasel (Closes: #645114) 

 -- Fabrizio Regalli <fabreg@fabreg.it>  Fri, 23 Dec 2011 15:25:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Jan Lübbe <jluebbe@debian.org>, Michael Schutte <michi@debian.org>, Fabrizio Regalli <fabreg@fabreg.it>
 Build-Depends: debhelper (>= 8), mozilla-devscripts (>= 0.22~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Homepage: http://addons.mozilla.org/firefox/4125
 Vcs-Browser: http://git.debian.org/?p=pkg-mozext/itsalltext.git

=== debian/rules ===
#!/usr/bin/make -f

REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]svn([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')


%:
	dh $@ --with xul-ext

override_dh_auto_build:
	make release

override_dh_auto_install:
	install-xpi -x gpl.txt itsalltext-*.xpi

override_dh_auto_clean:
	make clean
	rm -f itsalltext-*.xpi

get-orig-source:
	rm -rf itsalltext-$(VER)
	git clone https://github.com/docwhat/itsalltext.git \
	itsalltext-$(VER)
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
			--exclude .git --exclude .gitignore \
			-f itsalltext_$(VER).orig.tar.gz \
			itsalltext-$(VER)
	rm -rf itsalltext-$(VER)

=== debian/watch ===
version=3
http://ftp.mozilla.org/pub/mozilla.org/addons/4125/it[_]*s_all_text!?-([\d\.]*)-[a-z+]+\.xpi

## itsalltext 1.8.1

=== debian/changelog ===
itsalltext (1.8.1-2) unstable; urgency=medium

  * Team upload
  * Bump Standards Version
  * Extend FTBFS workaround to Ruby >= 1.9 (Closes: #739774)

 -- David Prévot <taffit@debian.org>  Sun, 30 Mar 2014 13:26:39 -0400

itsalltext (1.8.1-1) unstable; urgency=low

  * Team upload

  [ Benjamin Drung ]
  * debian/control: Remove DM-Upload-Allowed field.

  [ David Prévot ]
  * Imported Upstream version 1.8.1
  * Remove now useless versionning for mozilla-devscripts
  * Bump standards version to 3.9.4
  * Fix Homepage
  * Update Vcs- to canonical URI
  * Add Breaks for xul-ext
  * Shorten synopsis
  * Update watch to actual sources
  * Use rake and --buildsystem=xul_ext
  * Add upstream changelog
  * Set up Encoding::UTF_8 in Rakefile

 -- David Prévot <taffit@debian.org>  Thu, 18 Jul 2013 12:22:57 -0400

=== debian/control ===
Source: itsalltext
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Jan Lübbe <jluebbe@debian.org>, Michael Schutte <michi@debian.org>, Fabrizio Regalli <fabreg@fabreg.it>
Build-Depends: debhelper (>= 8), mozilla-devscripts, rake, ruby-paint
Standards-Version: 3.9.5
Homepage: https://addons.mozilla.org/firefox/addon/its-all-text/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/itsalltext.git
Vcs-Git: git://anonscm.debian.org/pkg-mozext/itsalltext.git

Package: xul-ext-itsalltext
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: extension to edit textareas using an external editor
 It's All Text! is a Firefox/Iceweasel extension which allows you to
 edit textareas using an external editor.
 .
 At the bottom right corner of any edit box, a little edit button will
 appear. Clicking this button will open an external editor with the
 content of the edit box, which will be updated every time you save.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with xul-ext --buildsystem=xul_ext

override_dh_auto_build:
	rake
	dh_auto_build -O--buildsystem=xul_ext

override_dh_auto_install:
	install-xpi -x gpl.txt itsalltext-*.xpi

override_dh_auto_clean:
	rake clean
	rm -f itsalltext-*.xpi
	dh_auto_clean -O--buildsystem=xul_ext

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream-changelog

get-orig-source:
	uscan --verbose --rename --force

=== debian/watch ===
version=3
https://github.com/docwhat/itsalltext/releases /docwhat/itsalltext/archive/release-([\d\.]*).tar.gz

## itsalltext 1.9.2

=== debian/changelog ===
itsalltext (1.9.2-2) unstable; urgency=medium

  * Team upload
  * Drop Iceweasel from description
  * Update Standards-Version to 3.9.7
  * Rebuild with recent mozilla-devscripts to be ready for Firefox

 -- David Prévot <taffit@debian.org>  Sat, 26 Mar 2016 16:42:46 -0400

itsalltext (1.9.2-1) unstable; urgency=medium

  * Team upload

  [ Xabier Oneca ]
  * Really recover last used file when more than one previous file exist

  [ Christian Höltje ]
  * v1.9.2

 -- David Prévot <taffit@debian.org>  Fri, 30 Oct 2015 16:18:48 -0400

itsalltext (1.9.1-2) unstable; urgency=medium

  * Team upload, to unstable since Jessie has been released

 -- David Prévot <taffit@debian.org>  Fri, 15 May 2015 16:01:19 -0400

itsalltext (1.9.1-1) experimental; urgency=medium

  * Team upload

  [ Christian Höltje ]
  * Don't fail if an unknown error is thrown
  * v1.9.1

 -- David Prévot <taffit@debian.org>  Sat, 28 Feb 2015 11:14:31 -0400

itsalltext (1.9.0-1) experimental; urgency=medium

  * Team upload, to experimental to respect the freeze

  [ Christian Höltje ]
  * v1.9.0

  [ David Prévot ]
  * Workaround FTBFS in minimal chroot
  * Drop Fabrizio Regalli from uploaders (Closes: #761848)
  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Tue, 24 Feb 2015 18:07:26 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: web
 Priority: optional
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
-Uploaders: Jan Lübbe <jluebbe@debian.org>, Michael Schutte <michi@debian.org>, Fabrizio Regalli <fabreg@fabreg.it>
+Uploaders: Jan Lübbe <jluebbe@debian.org>, Michael Schutte <michi@debian.org>
 Build-Depends: debhelper (>= 8), mozilla-devscripts, rake, ruby-paint
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Homepage: https://addons.mozilla.org/firefox/addon/its-all-text/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/itsalltext.git
 Vcs-Git: git://anonscm.debian.org/pkg-mozext/itsalltext.git
@@ -17,7 +17,7 @@
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
 Description: extension to edit textareas using an external editor
- It's All Text! is a Firefox/Iceweasel extension which allows you to
+ It's All Text! is a Firefox extension which allows you to
  edit textareas using an external editor.
  .
  At the bottom right corner of any edit box, a little edit button will

## itsalltext 1.9.3

=== debian/changelog ===
itsalltext (1.9.3-1) unstable; urgency=medium

  * Team upload

  [ Christian Höltje ]
  * Removed double close buttons in preferences
  * v1.9.3

  [ David Prévot ]
  * Update Standards-Version to 4.0.0

 -- David Prévot <taffit@debian.org>  Wed, 02 Aug 2017 15:00:24 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Jan Lübbe <jluebbe@debian.org>, Michael Schutte <michi@debian.org>
 Build-Depends: debhelper (>= 8), mozilla-devscripts, rake, ruby-paint
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: https://addons.mozilla.org/firefox/addon/its-all-text/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/itsalltext.git
 Vcs-Git: git://anonscm.debian.org/pkg-mozext/itsalltext.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with xul-ext --buildsystem=xul_ext

override_dh_auto_build:
	rake

override_dh_auto_install:
	install-xpi -x gpl.txt itsalltext-*.xpi

override_dh_auto_clean:
	rake clean

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream-changelog

get-orig-source:
	uscan --verbose --rename --force
